<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/ModifierBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d0e/_modifier_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ModifierBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d0e/_modifier_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">    1</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a><span class="comment">//bitmask</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfac76fba730e428946c013f23b0a987bdd">    3</a></span>    <a class="code hl_enumvalue" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfac76fba730e428946c013f23b0a987bdd">TICK</a>                    = 1,</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfa294daa35d221abeccaca8e0214e991b3">    4</a></span>    <a class="code hl_enumvalue" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfa294daa35d221abeccaca8e0214e991b3">ACTIVATE_CHECK</a>          = 2,</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfad7c6b084d05059ea5d8cb44230e36cd3">    5</a></span>    <a class="code hl_enumvalue" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfad7c6b084d05059ea5d8cb44230e36cd3">DEACTIVATE_CHECK</a>        = 4,</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>}</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a381cc1e1edcfb40ace8358de0ee8cbd4">   11</a></span>    <span class="keywordtype">int</span>                 <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a> = 0;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a30d63017a9f01517dc55d70e098b89b8">   12</a></span>    <a class="code hl_function" href="../../d3/d3c/_modifiers_manager_8c.html#ac135bf8a3162a3c2d85fa35fdbff1798">ModifiersManager</a>    <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a30d63017a9f01517dc55d70e098b89b8">m_Manager</a>;<span class="comment">//the manager instance</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ac5f68bcb6c9223635590cb69f9c9dd73">   13</a></span>    <span class="keywordtype">string</span>              <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ac5f68bcb6c9223635590cb69f9c9dd73">m_System</a> = <span class="stringliteral">&quot;Modifiers&quot;</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a92eca2aaad5eb72f13c39aff3d5f5881">   14</a></span>    <span class="keywordtype">float</span>               <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a92eca2aaad5eb72f13c39aff3d5f5881">m_ActivatedTime</a>;<span class="comment">//overall time this modifier was active</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">   15</a></span>    <span class="keywordtype">bool</span>                <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a>;<span class="comment">//should this modifier track overall time it was active ?</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">   16</a></span>    <span class="keywordtype">bool</span>                <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a>;<span class="comment">//is this modifier saved to the DB ?</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a4db3d46d75d2864daed52041fe1f0973">   17</a></span>    <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>          <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">   18</a></span>    <span class="keywordtype">float</span>               <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a> = 5;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">   19</a></span>    <span class="keywordtype">float</span>               <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a> = 3;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">   20</a></span>    <span class="keywordtype">bool</span>                <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a77065db0317ac406335a69e6fe27753d">   21</a></span>    <span class="keywordtype">bool</span>                <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a77065db0317ac406335a69e6fe27753d">m_ShouldBeActive</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a4c17a64f57c5921e4fb31dfacefcaf2f">   22</a></span>    <span class="keywordtype">float</span>               <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a4c17a64f57c5921e4fb31dfacefcaf2f">m_AccumulatedTimeActive</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a3fb679b8e90e81e1e525edb05fe938a5">   23</a></span>    <span class="keywordtype">float</span>               <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a3fb679b8e90e81e1e525edb05fe938a5">m_AccumulatedTimeInactive</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a978d545fd7b03e57181c61fcb8ab3b44">   24</a></span>    <span class="keywordtype">float</span>               <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a978d545fd7b03e57181c61fcb8ab3b44">m_LastTickedActive</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">   25</a></span>    <span class="keywordtype">int</span>                 <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">m_TickType</a> = (<a class="code hl_enumeration" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a>.TICK | <a class="code hl_enumeration" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a>.ACTIVATE_CHECK | <a class="code hl_enumeration" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a>.DEACTIVATE_CHECK);<span class="comment">//some modifiers do not need to check activate condition, as they get activated by request </span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a9c3121c9df7e0829e173def9fbcd88b0">   26</a></span>    <span class="keywordtype">float</span>               <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9c3121c9df7e0829e173def9fbcd88b0">m_LastTickedInactive</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a78ba1865a3e39379bcede97665de0d41">   27</a></span>    <span class="keywordtype">bool</span>                <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a78ba1865a3e39379bcede97665de0d41">m_IsLocked</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ac3e751efa3b0bf89b63227e0cee2e250">   28</a></span>    <a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a>     <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ac3e751efa3b0bf89b63227e0cee2e250">m_ActivationType</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">   29</a></span>    <a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a>    <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a>;<span class="comment">//max 32 synced modifiers supported, 0 == no sync</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#af725073fee975b834ffbf029b1e97b70">   30</a></span>    PluginPlayerStatus      <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#af725073fee975b834ffbf029b1e97b70">m_ModulePlayerStatus</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a28fe45992845d0491f1a5bbd669e366c">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(<a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#af725073fee975b834ffbf029b1e97b70">m_ModulePlayerStatus</a>, <a class="code hl_function" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a>(PluginPlayerStatus));</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a47706b4a038ab21995bc1b331cd42164">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a47706b4a038ab21995bc1b331cd42164">InitBase</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_function" href="../../d3/d3c/_modifiers_manager_8c.html#ac135bf8a3162a3c2d85fa35fdbff1798">ModifiersManager</a> manager)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a30d63017a9f01517dc55d70e098b89b8">m_Manager</a>               = manager;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>                = player;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a8351689b8deaa2bcaf548d0d1f879b41">Init</a>();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a8351689b8deaa2bcaf548d0d1f879b41">Init</a>(){}</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">   47</a></span>    <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>()</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ae80bd177c35acb39cd6a311c2749331f">   52</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#ae80bd177c35acb39cd6a311c2749331f">IsPersistent</a>()</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#adfc4b2dd05773180bb31f1a308f2f256">   57</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#adfc4b2dd05773180bb31f1a308f2f256">MakeParamObjectPersistent</a>(<a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> <span class="keywordtype">object</span>)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a30d63017a9f01517dc55d70e098b89b8">m_Manager</a>.m_ParamList.Insert(<span class="keywordtype">object</span>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a89faf32949abaf245f7b506f01351292">   63</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a89faf32949abaf245f7b506f01351292">ResetLastTickTime</a>()</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a978d545fd7b03e57181c61fcb8ab3b44">m_LastTickedActive</a> = 0;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#afd9a46dacf9365e51745eec480db6c79">   68</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a3782525036218139991f0432f47b2823">GetDebugText</a>()</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ad884dcdee193a44a106239c033022692">   73</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a5dfa9cf87c973eff8151d41f064d22e4">GetDebugTextSimple</a>()</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">   78</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">DisableActivateCheck</a>()</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">m_TickType</a> = (<a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">m_TickType</a> &amp; <a class="code hl_enumeration" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">~eModifiersTickType</a>.ACTIVATE_CHECK);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }   </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a13bf3a75b607c3eb20546dbb90db2f2f">   83</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a13bf3a75b607c3eb20546dbb90db2f2f">DisableDeactivateCheck</a>()</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">m_TickType</a> = (<a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">m_TickType</a> &amp; <a class="code hl_enumeration" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">~eModifiersTickType</a>.DEACTIVATE_CHECK);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ab67045236526b55e73528b15d854bd1a">   88</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dfc/_sound_events_8c.html#af38532525862791a1a90871a6b17282f">Tick</a>(<span class="keywordtype">float</span> delta_time)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">if</span>( !<a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a> &amp;&amp; <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a77065db0317ac406335a69e6fe27753d">m_ShouldBeActive</a> )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#ae8753efaeea05f65094a4875a694a368">Activate</a>();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a> )</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a4c17a64f57c5921e4fb31dfacefcaf2f">m_AccumulatedTimeActive</a> += delta_time;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a4c17a64f57c5921e4fb31dfacefcaf2f">m_AccumulatedTimeActive</a> &gt; <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a> )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">m_TickType</a> &amp; <a class="code hl_enumeration" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a>.DEACTIVATE_CHECK &amp;&amp; <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a144995f5211d4a8e3f7963e9df9c68fd">DeactivateCondition</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>) &amp;&amp; !<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a9c5ca6db77e6e3d30a98b7b98a7dafc8">IsLocked</a>() )</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                    <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#ad612d0926324764327bf72adae591dbd">Deactivate</a>();</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                <span class="keywordflow">else</span><span class="comment">//if(m_TickType &amp; eModifiersTickType.TICK)</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                    <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a92eca2aaad5eb72f13c39aff3d5f5881">m_ActivatedTime</a> += <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a4c17a64f57c5921e4fb31dfacefcaf2f">m_AccumulatedTimeActive</a>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                    <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#aaeb9b2f1ffe2325c659c60e3da723e14">OnTick</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>, <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a4c17a64f57c5921e4fb31dfacefcaf2f">m_AccumulatedTimeActive</a>);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a4c17a64f57c5921e4fb31dfacefcaf2f">m_AccumulatedTimeActive</a> = 0;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">m_TickType</a> &amp; <a class="code hl_enumeration" href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a>.ACTIVATE_CHECK)</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a3fb679b8e90e81e1e525edb05fe938a5">m_AccumulatedTimeInactive</a> += delta_time;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a3fb679b8e90e81e1e525edb05fe938a5">m_AccumulatedTimeInactive</a> &gt; <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a> )</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a9bbc1ce5c7caa4d5d08fdd747af0dfaa">ActivateCondition</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>) )</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>                {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                    <span class="keywordflow">if</span>( !<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a9c5ca6db77e6e3d30a98b7b98a7dafc8">IsLocked</a>() ) </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>                    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>                        <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#ac28402df023315ef1d7ff94b147dfdd1">ActivateRequest</a>(<a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a>.TRIGGER_EVENT_ON_ACTIVATION);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                    }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>                }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>                <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a3fb679b8e90e81e1e525edb05fe938a5">m_AccumulatedTimeInactive</a> = 0;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#acd2bd274749fe88c223cf2309f6fb9d6">  130</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#acd2bd274749fe88c223cf2309f6fb9d6">IsActive</a>()</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a4f21197fea104d859b8ac72f8c501660">  135</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a4f21197fea104d859b8ac72f8c501660">SetLock</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a78ba1865a3e39379bcede97665de0d41">m_IsLocked</a> = state;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a9c5ca6db77e6e3d30a98b7b98a7dafc8">  140</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a9c5ca6db77e6e3d30a98b7b98a7dafc8">IsLocked</a>()</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a78ba1865a3e39379bcede97665de0d41">m_IsLocked</a>;      </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a6189534ed07c7b6268b921bc19d6153d">  145</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a6189534ed07c7b6268b921bc19d6153d">IsTrackAttachedTime</a>()</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    }</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">  150</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">GetAttachedTime</a>()</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a92eca2aaad5eb72f13c39aff3d5f5881">m_ActivatedTime</a>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a253f06963fec3e74de8204441b28f497">  155</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a253f06963fec3e74de8204441b28f497">SetAttachedTime</a>(<span class="keywordtype">float</span> time)</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a92eca2aaad5eb72f13c39aff3d5f5881">m_ActivatedTime</a> = time;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#acbe1dc29d7ebac0991b4068bd25a8c17">  160</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#acbe1dc29d7ebac0991b4068bd25a8c17">GetModifierID</a>()</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">  165</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">GetName</a>()</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a> = ClassName();</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keywordtype">int</span> index_start = <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">Length</a>() - 4;</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="keywordtype">int</span> index_end = <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">Length</a>();</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a> = <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>.<a class="code hl_function" href="../../d5/da2/group___strings.html#gac96780d8309d9a88ece5e5ad7a448621">SubstringInverted</a>(<a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, index_start, index_end);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>;</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    }</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span> </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a3bae3eb1a0de40f1e9920e7bd7cdb8b2">  174</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a9bbc1ce5c7caa4d5d08fdd747af0dfaa">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    {</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#a8879cef16fda96986b90ccfea1af00d4">  179</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a144995f5211d4a8e3f7963e9df9c68fd">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    {</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#aaf1f4a946562de51ffce20654c40d4ed">  185</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#acb7d058521c8fb071a42bb730bfe9d18">  191</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a1019a98174c7895a2aa1693d36228ec8">OnReconnect</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    {</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#aca9bdf3a9820e956414c1c95cb1bcf8b">  196</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/human_8c.html#a3b701e8c012278766c1ce05f921ab16a">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ae8753efaeea05f65094a4875a694a368">  201</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#ae8753efaeea05f65094a4875a694a368">Activate</a>()</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.m_SyncedModifiers = (<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.m_SyncedModifiers | <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a>);</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ac3e751efa3b0bf89b63227e0cee2e250">m_ActivationType</a> == <a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a>.TRIGGER_EVENT_ON_ACTIVATION ) <a class="code hl_function" href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>);</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ac3e751efa3b0bf89b63227e0cee2e250">m_ActivationType</a> == <a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a>.TRIGGER_EVENT_ON_CONNECT ) <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#a1019a98174c7895a2aa1693d36228ec8">OnReconnect</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>);</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.SetSynchDirty();</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    }</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ac28402df023315ef1d7ff94b147dfdd1">  210</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#ac28402df023315ef1d7ff94b147dfdd1">ActivateRequest</a>(<a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a> trigger)</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a77065db0317ac406335a69e6fe27753d">m_ShouldBeActive</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ac3e751efa3b0bf89b63227e0cee2e250">m_ActivationType</a> = trigger;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    }</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ad612d0926324764327bf72adae591dbd">  216</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#ad612d0926324764327bf72adae591dbd">Deactivate</a>(<span class="keywordtype">bool</span> trigger = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a>)</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.m_SyncedModifiers = (<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.m_SyncedModifiers &amp; ~m_SyncID);</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a77065db0317ac406335a69e6fe27753d">m_ShouldBeActive</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a92eca2aaad5eb72f13c39aff3d5f5881">m_ActivatedTime</a> = 0;</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <span class="keywordflow">if</span>(trigger) </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>            <a class="code hl_function" href="../../d4/d9e/human_8c.html#a3b701e8c012278766c1ce05f921ab16a">OnDeactivate</a>(<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>);</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    }</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span> </div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ad975050d7a080cca462e74c604f404a2">  229</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ad975050d7a080cca462e74c604f404a2">OnStoreSave</a>( <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsWriteContext</a> ctx )</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>    {</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno"><a class="line" href="../../de/d0e/_modifier_base_8c.html#ad5fbca2c8faa29c9f2abded7f8c1efbe">  234</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d0a/class_modifier_base.html#aaeb9b2f1ffe2325c659c60e3da723e14">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    {</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    }</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_ad975050d7a080cca462e74c604f404a2"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ad975050d7a080cca462e74c604f404a2">OnStoreSave</a></div><div class="ttdeci">void OnStoreSave(ParamsWriteContext ctx)</div><div class="ttdoc">Engine calls this function to collect data from entity to store for persistence (on server side).</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01979">EntityAI.c:1979</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a13bf3a75b607c3eb20546dbb90db2f2f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a13bf3a75b607c3eb20546dbb90db2f2f">DisableDeactivateCheck</a></div><div class="ttdeci">void DisableDeactivateCheck()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00083">ModifierBase.c:83</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a253f06963fec3e74de8204441b28f497"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a253f06963fec3e74de8204441b28f497">SetAttachedTime</a></div><div class="ttdeci">void SetAttachedTime(float time)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00155">ModifierBase.c:155</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a30d63017a9f01517dc55d70e098b89b8"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a30d63017a9f01517dc55d70e098b89b8">m_Manager</a></div><div class="ttdeci">ModifiersManager m_Manager</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00012">ModifierBase.c:12</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a3fb679b8e90e81e1e525edb05fe938a5"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a3fb679b8e90e81e1e525edb05fe938a5">m_AccumulatedTimeInactive</a></div><div class="ttdeci">float m_AccumulatedTimeInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00023">ModifierBase.c:23</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a47706b4a038ab21995bc1b331cd42164"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a47706b4a038ab21995bc1b331cd42164">InitBase</a></div><div class="ttdeci">void InitBase(PlayerBase player, ModifiersManager manager)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00037">ModifierBase.c:37</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a4c17a64f57c5921e4fb31dfacefcaf2f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a4c17a64f57c5921e4fb31dfacefcaf2f">m_AccumulatedTimeActive</a></div><div class="ttdeci">float m_AccumulatedTimeActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00022">ModifierBase.c:22</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a4f21197fea104d859b8ac72f8c501660"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a4f21197fea104d859b8ac72f8c501660">SetLock</a></div><div class="ttdeci">void SetLock(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00135">ModifierBase.c:135</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a6189534ed07c7b6268b921bc19d6153d"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a6189534ed07c7b6268b921bc19d6153d">IsTrackAttachedTime</a></div><div class="ttdeci">bool IsTrackAttachedTime()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00145">ModifierBase.c:145</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a676f8ade05004f01037a24bd37fe2dcf"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcf">eModifiersTickType</a></div><div class="ttdeci">eModifiersTickType</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00001">ModifierBase.c:2</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a676f8ade05004f01037a24bd37fe2dcfa294daa35d221abeccaca8e0214e991b3"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfa294daa35d221abeccaca8e0214e991b3">ACTIVATE_CHECK</a></div><div class="ttdeci">@ ACTIVATE_CHECK</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00004">ModifierBase.c:4</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a676f8ade05004f01037a24bd37fe2dcfac76fba730e428946c013f23b0a987bdd"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfac76fba730e428946c013f23b0a987bdd">TICK</a></div><div class="ttdeci">@ TICK</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00003">ModifierBase.c:3</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a676f8ade05004f01037a24bd37fe2dcfad7c6b084d05059ea5d8cb44230e36cd3"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a676f8ade05004f01037a24bd37fe2dcfad7c6b084d05059ea5d8cb44230e36cd3">DEACTIVATE_CHECK</a></div><div class="ttdeci">@ DEACTIVATE_CHECK</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00005">ModifierBase.c:5</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a6d27673678a2b8c86ee597aa1ab6db0a"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">GetAttachedTime</a></div><div class="ttdeci">float GetAttachedTime()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00150">ModifierBase.c:150</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a77065db0317ac406335a69e6fe27753d"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a77065db0317ac406335a69e6fe27753d">m_ShouldBeActive</a></div><div class="ttdeci">bool m_ShouldBeActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00021">ModifierBase.c:21</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a771f17acf34676182be64e41430920e6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">DisableActivateCheck</a></div><div class="ttdeci">void DisableActivateCheck()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00078">ModifierBase.c:78</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a78ba1865a3e39379bcede97665de0d41"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a78ba1865a3e39379bcede97665de0d41">m_IsLocked</a></div><div class="ttdeci">bool m_IsLocked</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00027">ModifierBase.c:27</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a89faf32949abaf245f7b506f01351292"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a89faf32949abaf245f7b506f01351292">ResetLastTickTime</a></div><div class="ttdeci">void ResetLastTickTime()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00063">ModifierBase.c:63</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a92eca2aaad5eb72f13c39aff3d5f5881"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a92eca2aaad5eb72f13c39aff3d5f5881">m_ActivatedTime</a></div><div class="ttdeci">float m_ActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00014">ModifierBase.c:14</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a978d545fd7b03e57181c61fcb8ab3b44"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a978d545fd7b03e57181c61fcb8ab3b44">m_LastTickedActive</a></div><div class="ttdeci">float m_LastTickedActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00024">ModifierBase.c:24</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a9a3d3c40e1c50b7a9d14cb880b784df2"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a></div><div class="ttdeci">bool m_IsActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00020">ModifierBase.c:20</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a9c3121c9df7e0829e173def9fbcd88b0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a9c3121c9df7e0829e173def9fbcd88b0">m_LastTickedInactive</a></div><div class="ttdeci">float m_LastTickedInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00026">ModifierBase.c:26</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a9c5ca6db77e6e3d30a98b7b98a7dafc8"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a9c5ca6db77e6e3d30a98b7b98a7dafc8">IsLocked</a></div><div class="ttdeci">bool IsLocked()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00140">ModifierBase.c:140</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a9f3681cfa34208f711ba22331159bc7a"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a9f3681cfa34208f711ba22331159bc7a">m_TickType</a></div><div class="ttdeci">int m_TickType</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00025">ModifierBase.c:25</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa13e9ceb481752169c6aa44663e496d6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a></div><div class="ttdeci">eModifierSyncIDs m_SyncID</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00029">ModifierBase.c:29</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aaf6ee4d1f067be1038b7a662af6af1bf"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a></div><div class="ttdeci">PlayerBase GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00047">ModifierBase.c:47</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ac28402df023315ef1d7ff94b147dfdd1"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ac28402df023315ef1d7ff94b147dfdd1">ActivateRequest</a></div><div class="ttdeci">void ActivateRequest(EActivationType trigger)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00210">ModifierBase.c:210</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ac3e751efa3b0bf89b63227e0cee2e250"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ac3e751efa3b0bf89b63227e0cee2e250">m_ActivationType</a></div><div class="ttdeci">EActivationType m_ActivationType</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00028">ModifierBase.c:28</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ac5f68bcb6c9223635590cb69f9c9dd73"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ac5f68bcb6c9223635590cb69f9c9dd73">m_System</a></div><div class="ttdeci">string m_System</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00013">ModifierBase.c:13</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_acbe1dc29d7ebac0991b4068bd25a8c17"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#acbe1dc29d7ebac0991b4068bd25a8c17">GetModifierID</a></div><div class="ttdeci">int GetModifierID()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00160">ModifierBase.c:160</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_acd2bd274749fe88c223cf2309f6fb9d6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#acd2bd274749fe88c223cf2309f6fb9d6">IsActive</a></div><div class="ttdeci">bool IsActive()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00130">ModifierBase.c:130</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ad612d0926324764327bf72adae591dbd"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ad612d0926324764327bf72adae591dbd">Deactivate</a></div><div class="ttdeci">void Deactivate(bool trigger=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00216">ModifierBase.c:216</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_adfc4b2dd05773180bb31f1a308f2f256"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#adfc4b2dd05773180bb31f1a308f2f256">MakeParamObjectPersistent</a></div><div class="ttdeci">void MakeParamObjectPersistent(Param object)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00057">ModifierBase.c:57</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ae80bd177c35acb39cd6a311c2749331f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ae80bd177c35acb39cd6a311c2749331f">IsPersistent</a></div><div class="ttdeci">bool IsPersistent()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00052">ModifierBase.c:52</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ae8326cd63358abd4d8bfa7c8538fecd4"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a></div><div class="ttdeci">bool m_IsPersistent</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00016">ModifierBase.c:16</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ae8753efaeea05f65094a4875a694a368"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ae8753efaeea05f65094a4875a694a368">Activate</a></div><div class="ttdeci">void Activate()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00201">ModifierBase.c:201</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_af725073fee975b834ffbf029b1e97b70"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#af725073fee975b834ffbf029b1e97b70">m_ModulePlayerStatus</a></div><div class="ttdeci">PluginPlayerStatus m_ModulePlayerStatus</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00030">ModifierBase.c:30</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_a5c1716899a303fbac8533337fbc6ceb0"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a></div><div class="ttdeci">eModifierSyncIDs</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00002">ModifiersManager.c:3</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_a91438892389b25e59441949d005ef1a2"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a></div><div class="ttdeci">EActivationType</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00024">ModifiersManager.c:24</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ac135bf8a3162a3c2d85fa35fdbff1798"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ac135bf8a3162a3c2d85fa35fdbff1798">ModifiersManager</a></div><div class="ttdeci">void ModifiersManager(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00080">ModifiersManager.c:80</a></div></div>
<div class="ttc" id="a_plugin_day_z_infected_debug_8c_html_a8ccf841cb59e451791bcb2e1ac4f1edc"><div class="ttname"><a href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a></div><div class="ttdeci">string name</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00032">PluginDayZInfectedDebug.c:32</a></div></div>
<div class="ttc" id="a_plugin_manager_8c_html_a35050f82bea320b7a5336fc549630eaf"><div class="ttname"><a href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a></div><div class="ttdeci">PluginBase GetPlugin(typename plugin_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5d/_plugin_manager_8c_source.html#l00300">PluginManager.c:300</a></div></div>
<div class="ttc" id="a_sound_events_8c_html_af38532525862791a1a90871a6b17282f"><div class="ttname"><a href="../../d7/dfc/_sound_events_8c.html#af38532525862791a1a90871a6b17282f">Tick</a></div><div class="ttdeci">void Tick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dfc/_sound_events_8c_source.html#l00107">SoundEvents.c:107</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_modifier_base_html_a1019a98174c7895a2aa1693d36228ec8"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html#a1019a98174c7895a2aa1693d36228ec8">ModifierBase::OnReconnect</a></div><div class="ttdeci">override void OnReconnect(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00025">BreathVapourMdfr.c:25</a></div></div>
<div class="ttc" id="aclass_modifier_base_html_a144995f5211d4a8e3f7963e9df9c68fd"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html#a144995f5211d4a8e3f7963e9df9c68fd">ModifierBase::DeactivateCondition</a></div><div class="ttdeci">override bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00020">BreathVapourMdfr.c:20</a></div></div>
<div class="ttc" id="aclass_modifier_base_html_a3782525036218139991f0432f47b2823"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html#a3782525036218139991f0432f47b2823">ModifierBase::GetDebugText</a></div><div class="ttdeci">override string GetDebugText()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00030">BreathVapourMdfr.c:30</a></div></div>
<div class="ttc" id="aclass_modifier_base_html_a5dfa9cf87c973eff8151d41f064d22e4"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html#a5dfa9cf87c973eff8151d41f064d22e4">ModifierBase::GetDebugTextSimple</a></div><div class="ttdeci">override string GetDebugTextSimple()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00035">BreathVapourMdfr.c:35</a></div></div>
<div class="ttc" id="aclass_modifier_base_html_a8351689b8deaa2bcaf548d0d1f879b41"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html#a8351689b8deaa2bcaf548d0d1f879b41">ModifierBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00005">BreathVapourMdfr.c:5</a></div></div>
<div class="ttc" id="aclass_modifier_base_html_a9bbc1ce5c7caa4d5d08fdd747af0dfaa"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html#a9bbc1ce5c7caa4d5d08fdd747af0dfaa">ModifierBase::ActivateCondition</a></div><div class="ttdeci">override bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00015">BreathVapourMdfr.c:15</a></div></div>
<div class="ttc" id="aclass_modifier_base_html_aaeb9b2f1ffe2325c659c60e3da723e14"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html#aaeb9b2f1ffe2325c659c60e3da723e14">ModifierBase::OnTick</a></div><div class="ttdeci">override void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00041">BreathVapourMdfr.c:41</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___strings_html_ga012b133f69754b6a99ba29ce5f11c348"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">string::Length</a></div><div class="ttdeci">proto native int Length()</div><div class="ttdoc">Returns length of string.</div></div>
<div class="ttc" id="agroup___strings_html_gac96780d8309d9a88ece5e5ad7a448621"><div class="ttname"><a href="../../d5/da2/group___strings.html#gac96780d8309d9a88ece5e5ad7a448621">string::SubstringInverted</a></div><div class="ttdeci">string SubstringInverted(string string_to_split, int position_start, int position_end)</div><div class="ttdoc">Inverted SubString. This deletes everything in between position_start and position_end.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d04/_en_string_8c_source.html#l00102">EnString.c:102</a></div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_gac97112280cc4435c8df3c88070c839b4"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">GetName</a></div><div class="ttdeci">proto native owned string GetName()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/db5/_synced_value_8c_source.html#l00117">SyncedValue.c:117</a></div></div>
<div class="ttc" id="ahuman_8c_html_a3b701e8c012278766c1ce05f921ab16a"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a3b701e8c012278766c1ce05f921ab16a">OnDeactivate</a></div><div class="ttdeci">void OnDeactivate()</div><div class="ttdoc">called when command ends</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l01089">human.c:1089</a></div></div>
<div class="ttc" id="ahuman_8c_html_ad88f589957281ee7efebbc581b18bef1"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a></div><div class="ttdeci">class HumanMovementState OnActivate()</div><div class="ttdoc">HumanCommandScript fully scriptable command.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l01024">human.c:1086</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../de/d0e/_modifier_base_8c.html">ModifierBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
